Katello - Bug #6272

Update katello javascript developer guide to reflect changes in bastion
06/18/2014 01:28 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Documentation
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1118479 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/441
Description

We need to bring our javascript developer guide up to date and incorporate changes from bastion.

As part of this we should remove https://github.com/Katello/katello/tree/master/engines/bastion#conventions and link to this
document from there.

Associated revisions

Revision 6122d5e4 - 07/16/2014 04:04 PM - Walden Raines
Fixes #6272/BZ1118479 - move Bastion guide to katello.org.
Move Bastion documentation to katello.org. These links will

point to the github files themselves for now and will be
updated once the docs site is live.

http://projects.theforeman.org/issues/6272
https://bugzilla.redhat.com/show_bug.cgi?id=1118479

Revision e19d1326 - 07/16/2014 04:04 PM - Walden Raines
Fixes #6272/BZ1118479 - move Bastion guide to katello.org.
Move Bastion documentation to katello.org. These links will

point to the github files themselves for now and will be
updated once the docs site is live.

http://projects.theforeman.org/issues/6272
https://bugzilla.redhat.com/show_bug.cgi?id=1118479

Revision 6f480a6b - 07/30/2014 04:20 PM - Walden Raines

Refs #6272: moving Bastion documentation to katello.org
Revision 879128b6 - 07/30/2014 04:32 PM - Walden Raines
Merge pull request #18 from waldenraines/javascript

Refs #6272: update Javascript developer guide post Bastion.
Revision 82¢98296 - 07/30/2014 04:33 PM - Walden Raines
Merge pull request #4416 from waldenraines/6272

Fixes #6272/BZ1118479 - move Bastion guide to katello.org.
Revision 1122625 - 07/30/2014 04:33 PM - Walden Raines
Merge pull request #4416 from waldenraines/6272

Fixes #6272/BZ1118479 - move Bastion guide to katello.org.
History

#1 - 06/18/2014 01:28 PM - Walden Raines
- Category set to Documentation
- Target version set to 49

- Difficulty set to easy

#2 - 06/19/2014 01:04 AM - Eric Helms
- Status changed from New to Assigned
- Assignee set to Walden Raines

- Triaged changed from No to Yes

#3 - 06/19/2014 08:16 PM - Walden Raines

- Status changed from Assigned to New

#4 - 07/10/2014 01:52 PM - Walden Raines

- Status changed from New to Assigned

#5 - 07/10/2014 03:39 PM - Walden Raines

Here are the changes in katello.org: https:/github.com/Katello/katello.org/pull/18

Still need to update https://github.com/Katello/katello/tree/master/engines/bastion#conventions and

https://github.com/Katello/katello/blob/master/CONTRIBUTING.md to point to the new conventions.

#6 - 07/10/2014 04:18 PM - Walden Raines
- Bugzilla link set to 1118479

#7 - 07/10/2014 04:21 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4416

#8 - 07/16/2014 03:59 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello.org/pull/18 added
- Pull request deleted ()

#9 - 07/16/2014 04:05 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4416 added
- Pull request deleted (https://github.com/Katello/katello.org/pull/18)

#10 - 07/28/2014 08:42 AM - Eric Helms

- Target version changed from 49 to 54

#11 - 07/30/2014 05:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|6122d5e44{2e15d83764372a51272f5{70b7fc57.

#12 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
